# Cockatrice
At first I tried to use the pre-compiled binaries provided by the developer: `wget https://github.com/Cockatrice/Cockatrice/releases/download/2021-01-26-Release-2.8.0/Cockatrice-Prismatic.Bridge-2.8.0-DebianBuster.deb` but the binaries were dynamically linked to older modules, maybe libqt or possibly libprotobuf than what were available on my newer debian distro.  I think they had buster, I had bullseye.

## need to compile from source
Trying to install docker was a bust, somthing about the included package just being a gui for the commercial product, and them being closed source for the cli.  If you edit the `CMakeLists.txt` you can instruct it to build just `servatrice` but it will complain unless you also edit `servatrice/CMakeLists.txt` to include the missing directive that cmake will complain about, `cmake_minimum_required(VERSION 3.10)`.
```
sudo apt install g++ liblzma-dev libmysql++-dev  libprotobuf-dev libqt5multimedia5-plugins libqt5sql5-mysql libqt5svg5-dev libqt5websockets5-dev protobuf-compiler qt5-qmake qtbase5-dev qtbase5-dev-tools qtchooser qtmultimedia5-dev qttools5-dev qttools5-dev-tools build-essential git vim cmake
git clone https://github.com/Cockatrice/Cockatrice
cd Cockatrice/
mkdir build
cd build/
cmake .. -DWITH_SERVER=1
sudo adduser --system cockatrice
sudo cp servatrice/servatrice /home/cockatrice/
sudo chmod 0667 /home/cockatrice/servatrice 
```

You probably want to also have servatrice start on boot.
```
sudo cp servatrice.service /etc/systemd/system/
sudo systemctl daemon-reload
sudo systemctl enable servatrice.service 
sudo systemctl start servatrice.service 
```
